#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
include /usr/share/dpkg/architecture.mk


#ifneq (,$(findstring hppa-linux-gnu,$(DEB_BUILD_GNU_TYPE)))
#        NO_EMBED = --disable-embedded-perl
#endif
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
#	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-check-perl-modules --disable-anti-virus --with-confsubdir=/ --with-quarantinedir=/var/spool/MIMEDefang
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-anti-virus --with-confsubdir=/ --with-quarantinedir=/var/spool/MIMEDefang $(NO_EMBED)


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) INSTALL_STRIP_FLAG=''
	#/usr/bin/docbook-to-man debian/mimedefang.sgml > mimedefang.1

	pod2man contrib/graphdefang-0.91/graphdefang.pl > graphdefang.pl.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f graphdefang.pl.1
	#-test -r /usr/share/misc/config.sub && \
	#  cp -f /usr/share/misc/config.sub config.sub
	#-test -r /usr/share/misc/config.guess && \
	#  cp -f /usr/share/misc/config.guess config.guess

	debconf-updatepo

	dh_clean

GDSRCDIR=contrib/graphdefang-0.91

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/mimedefang.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/mimedefang
	cp debian/mimedefang.conf debian/mimedefang/usr/share/mimedefang/
	cp debian/mimedefang.pl.conf debian/mimedefang/etc/mail/mimedefang.pl.conf
	cp -p systemd-units/*.service debian/mimedefang/lib/systemd/system/
	rmdir debian/mimedefang/usr/sbin
#	rmdir debian/mimedefang/etc/spamassassin

	# Install graphdefang
	cp -r $(GDSRCDIR)/event debian/graphdefang/usr/share/graphdefang/
	cp -p $(GDSRCDIR)/graphdefang-config-mimedefang-example debian/graphdefang/etc/graphdefang/
	cp -p $(GDSRCDIR)/graphdefang.pl debian/graphdefang/usr/bin/
	cp -p $(GDSRCDIR)/graphdefanglib.pl debian/graphdefang/usr/share/graphdefang/
	cp -p $(GDSRCDIR)/reset-max-date.pl debian/graphdefang/usr/share/graphdefang/
	cp -p $(GDSRCDIR)/web/graphdefang.cgi debian/graphdefang/usr/lib/cgi-bin
	install -m 644 $(GDSRCDIR)/web/index.php debian/graphdefang/var/lib/graphdefang
	cp -p graphdefang.pl.1 debian/graphdefang/usr/share/man/man1

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples examples/stream-by-domain-filter examples/suggested-minimum-filter-for-windows-clients
	dh_installmenu
	cp -p examples/redhat-logrotate-file debian/logrotate
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	cp -p examples/init-script debian/init.d
	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs Changelog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
